import { Command as VscodeComand } from 'vscode';
export class Command {
	constructor(private _title: string, private _command: string) {}

	get title() {
		return this._title;
	}

	get cmd() {
		return this._command;
	}

	asVsCodeCommand(): VscodeComand {
		return { title: this.title, command: this.cmd };
	}
}

export const OPEN_BRIEFING_COMMAND = new Command('Open Briefing', 'deadlock.openBriefing');
