import UserConfig from '../core/userConfig';
import * as vscode from 'vscode';

import { USER_CHALLENGE_PATH } from '../core/config';

export default class UserConfigTheia extends UserConfig {
	async loadText(): Promise<string> {
		const textDocument = await vscode.workspace.openTextDocument(vscode.Uri.parse(USER_CHALLENGE_PATH));
		return Promise.resolve(textDocument.getText());
	}
}
